#include <string.h>
#include <stdio.h>
#include <stdlib.h>

struct artikel {
  int artnr;
  char namn[27];
  int saldo;
  float pris;
};

struct artikel artikel1;

char buff[256];

int main(){
  artikel1.artnr = 27;
  strcpy(artikel1.namn,"BlaHammare");
  artikel1.saldo=23;
  artikel1.pris = 19.50;

  FILE *fp;
  fp = fopen("artiklar.bin","w");
  if (fp == NULL){
    fprintf(stderr, "File not found.");
    exit(1);
  }else{
    //    sprintf(buff, "%d;%s;%d;%.2f;", artikel1.artnr,  artikel1.namn,  artikel1.saldo,  artikel1.pris);
    //fprintf(fp, "%s", buff);
    fwrite(&artikel1, sizeof(struct artikel), 1, fp);
    printf("Struct artikel takes up %lu bytes in memory.\n", sizeof(struct artikel)); 
    fclose(fp);
  }
}
